org.apache.flume.conf

## Class ComponentConfiguration

- java.lang.Object
- - org.apache.flume.conf.ComponentConfiguration

- Direct Known Subclasses:
    ChannelConfiguration, ChannelSelectorConfiguration, SinkConfiguration, SinkGroupConfiguration, SinkProcessorConfiguration, SourceConfiguration

      public abstract class ComponentConfiguration
      extends Object

  Abstract implementation of the Component Configuration Manager. This class does the configuration in the object. The component specific versions, which inherit from this, create the configuration based on the config file. All subclasses of this class store properties of the component. The properties can be stored as properties in this

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ComponentConfiguration.ComponentType`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `componentName`
    `protected boolean` | `configured`
    `protected List<FlumeConfigurationError>` | `errors`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ComponentConfiguration(String componentName)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configure(Context context)`
    `protected void` | `failIfConfigured()`
    `String` | `getComponentName()`
    `List<FlumeConfigurationError>` | `getErrors()`
    `String` | `getType()`
    `boolean` | `isNotFoundConfigClass()`
    `protected void` | `setConfigured()`
    `void` | `setNotFoundConfigClass()`
    `void` | `setType(String type)`
    `String` | `toString()`
    `String` | `toString(int indentCount)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### componentName

          protected String componentName

    - #### configured

          protected boolean configured

    - #### errors

          protected List<FlumeConfigurationError> errors

  - ### Constructor Detail

    - #### ComponentConfiguration

          protected ComponentConfiguration(String componentName)

  - ### Method Detail

    - #### isNotFoundConfigClass

          public boolean isNotFoundConfigClass()

    - #### setNotFoundConfigClass

          public void setNotFoundConfigClass()

    - #### getErrors

          public List<FlumeConfigurationError> getErrors()

    - #### configure

          public void configure(Context context)
                         throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### failIfConfigured

          protected void failIfConfigured()
                                   throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getType

          public String getType()

    - #### setType

          public void setType(String type)

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### toString

          public String toString(int indentCount)

    - #### getComponentName

          public String getComponentName()

    - #### setConfigured

          protected void setConfigured()

Copyright © 2009-2016 Apache Software Foundation. All Rights Reserved.